image: ubuntu

before_script:
  - echo "Hello, $GITLAB_USER_LOGIN!"
  - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
  - eval $(ssh-agent -s)
  - echo "$SSH_PRIVATE_KEY" | base64 -d | tr -d '\r' | ssh-add - > /dev/null
  - mkdir -p ~/.ssh
  - chmod 700 ~/.ssh
  # - ssh-keyscan bwunicluster.scc.kit.edu > ~/.ssh/known_hosts
  - echo "$SSH_KNOWN_HOSTS" > ~/.ssh/known_hosts
  - chmod 644 ~/.ssh/known_hosts

Test SSH:
    script:
      - GITLAB_KEY=$(echo "$GITLAB_KEY" | tr -d '\r' | tr -d '\n')
      - ssh -J ubuntu@193.196.52.19 $USER_NAME "mkdir -p execute_vehicle_classification"
      - scp -o "Proxyjump ubuntu@193.196.52.19" execute_vehicle_classification.sh $USER_NAME:~/execute_vehicle_classification/execute_vehicle_classification.sh
      - ssh -J ubuntu@1193.196.52.19 $USER_NAME "chmod 700 execute_vehicle_classification/execute_vehicle_classification.sh && sbatch -p single  ./execute_vehicle_classification/execute_vehicle_classification.sh $GITLAB_KEY"
